import 'package:json_annotation/json_annotation.dart';

part 'new_search_room_bean.g.dart';

@JsonSerializable(explicitToJson: true)
class NewSearchRoomBean {
  int? roomId;
  String? roomName;
  String? roomAddress;
  String? remarks;
  String? deptName;

  NewSearchRoomBean(this.roomId,this.roomName, this.roomAddress, this.remarks, this.deptName);

  factory NewSearchRoomBean.fromJson(Map<String, dynamic> json) => _$NewSearchRoomBeanFromJson(json);

  Map<String, dynamic> toJson() => _$NewSearchRoomBeanToJson(this);
}
